=== src/CMakeLists.txt ===
add_subdirectory( shared )
add_subdirectory( libs )
add_subdirectory( plugins )
add_subdirectory( apps )
