=== src/apps/CMakeLists.txt ===
add_subdirectory( andromeda )
add_subdirectory( imageviewer )
