=== src/shared/CMakeLists.txt ===
add_subdirectory( qtlockedfile )
add_subdirectory( qtsingleapplication )
