=== tests/manual/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${APP_APPLICATION_PATH} )

add_subdirectory( extensionsystem_test )
add_subdirectory( filesystemmanager_test )
add_subdirectory( guisystem_test )
add_subdirectory( options_test )
