=== debian/changelog ===
andromeda (0.1) stable; urgency=low

  * Andromeda 0.1

 -- Denis Kovalskiy <denimnumber1@gmail.com>  Tue, 9 Feb 2012 14:50:38 +0100
