=== debian/control ===
Source: andromeda
Section: utils
Version: 0.1
Priority: optional
Maintainer: Denis Kovalskiy <denimnumber1@gmail.com>
Build-Depends: debhelper (>= 4.1.16), cmake (>= 2.6), g++, libqt4-dev, libqtwebkit-dev, libqt4-opengl-dev, libpoppler-qt4-dev

Package: andromeda
Architecture: any
Depends: ${shlibs:Depends}
Description: Cross-platform file manager, written on Qt
